CUTLASS: cutlass::epilogue::warp::FragmentIteratorSimt< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ > Class Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Attributes | List of all members
cutlass::epilogue::warp::FragmentIteratorSimt< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ > Class Template Reference

Partial specialization for row-major shared memory.

`#include <fragment_iterator_simt.h>`

## Public Types
using | WarpShape = WarpShape_
using | Operator = Operator_
using | Layout = layout::RowMajor
using | Policy = SimtPolicy< WarpShape, Operator, Layout, MmaSimtPolicy_ >
| Policy for warp-level epilogue components. More...
using | Fragment = Array< typename Operator::ElementC, Policy::kElementsPerIteration >
| This is the fragment size produced by one access of the iterator. More...
using | AccumulatorTile = Array< typename Operator::ElementC, Policy::kAccumulatorElementCount >
| This is the complete warp-level accumulator tile. More...
using | OutputAccumulatorTile = AccumulatorTile

## Public Member Functions
CUTLASS_HOST_DEVICE | FragmentIteratorSimt (AccumulatorTile const &accum)
| Constructs an iterator. More...
CUTLASS_HOST_DEVICE FragmentIteratorSimt & | operator++ ()
| Increments. More...
CUTLASS_HOST_DEVICE FragmentIteratorSimt & | operator-- ()
| Decrements. More...
CUTLASS_HOST_DEVICE void | load (Fragment &frag, int index_offset=0) const
| Loads a fragment from the referenced part of the accumulator tile. More...

## Static Public Attributes
static int const | kIterations = Policy::kIterations
| Number of times this iterator can be incremented. More...

## Member Typedef Documentation

template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

using cutlass::epilogue::warp::FragmentIteratorSimt< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::AccumulatorTile = Array< typename Operator::ElementC, Policy::kAccumulatorElementCount>

template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

using cutlass::epilogue::warp::FragmentIteratorSimt< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::Fragment = Array< typename Operator::ElementC, Policy::kElementsPerIteration>

template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

using cutlass::epilogue::warp::FragmentIteratorSimt< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::Layout = layout::RowMajor

template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

using cutlass::epilogue::warp::FragmentIteratorSimt< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::Operator = Operator_

template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

using cutlass::epilogue::warp::FragmentIteratorSimt< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::OutputAccumulatorTile = AccumulatorTile

template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

using cutlass::epilogue::warp::FragmentIteratorSimt< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::Policy = SimtPolicy<WarpShape, Operator, Layout, MmaSimtPolicy_>

template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

using cutlass::epilogue::warp::FragmentIteratorSimt< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::WarpShape = WarpShape_

## Constructor & Destructor Documentation

template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

CUTLASS_HOST_DEVICE cutlass::epilogue::warp::FragmentIteratorSimt< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::FragmentIteratorSimt | ( | AccumulatorTile const & | accum | ) |
| inline

## Member Function Documentation

template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

CUTLASS_HOST_DEVICE void cutlass::epilogue::warp::FragmentIteratorSimt< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::load | ( | Fragment & | frag,
|  | int | index_offset = `0`
| ) |  | const
| inline

template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

CUTLASS_HOST_DEVICE FragmentIteratorSimt& cutlass::epilogue::warp::FragmentIteratorSimt< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::operator++ | ( |  | ) |
| inline

template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

CUTLASS_HOST_DEVICE FragmentIteratorSimt& cutlass::epilogue::warp::FragmentIteratorSimt< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::operator-- | ( |  | ) |
| inline

## Member Data Documentation

template<typename WarpShape_ , typename Operator_ , typename MmaSimtPolicy_ >

int const cutlass::epilogue::warp::FragmentIteratorSimt< WarpShape_, Operator_, layout::RowMajor, MmaSimtPolicy_ >::kIterations = Policy::kIterations
| static

The documentation for this class was generated from the following file:

- fragment_iterator_simt.h